Last Comment Bug 837493 - Add private browsing page
: Add private browsing page
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: UI Design (show other bugs)
: unspecified
: All All
: -- normal (vote)
: seamonkey2.18
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
Depends on:
Blocks: 460895 837496 837510 842439
  Show dependency treegraph
 
Reported: 2013-02-03 07:17 PST by neil@parkwaycc.co.uk
Modified: 2013-11-05 13:40 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (4.64 KB, patch)
2013-02-03 07:36 PST, neil@parkwaycc.co.uk
philip.chee: review+
iann_bugzilla: feedback+
Details | Diff | Review
aboutPrivateBrowsing.xul (1.50 KB, application/vnd.mozilla.xul+xml)
2013-02-04 16:49 PST, neil@parkwaycc.co.uk
no flags Details
Improved patch (10.88 KB, patch)
2013-02-17 09:22 PST, neil@parkwaycc.co.uk
iann_bugzilla: review+
philip.chee: review+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2013-02-03 07:17:20 PST
We need a page to give people something to look at when they open a new private browsing window. Eventually we'll have a page with some nice stuff on it.
Comment 1 neil@parkwaycc.co.uk 2013-02-03 07:36:53 PST
Created attachment 709475 [details] [diff] [review]
Proposed patch
Comment 2 Ian Neal 2013-02-04 05:46:44 PST
Comment on attachment 709475 [details] [diff] [review]
Proposed patch

I think we need to at least give different content depending on whether the page has been opened through New Private Window or not.
Comment 3 neil@parkwaycc.co.uk 2013-02-04 16:49:19 PST
Created attachment 709971 [details]
aboutPrivateBrowsing.xul
Comment 4 Philip Chee 2013-02-14 06:47:44 PST
Comment on attachment 709475 [details] [diff] [review]
Proposed patch

Rather basic, but I assume that you will be adding content in followup bugs?
Comment 5 neil@parkwaycc.co.uk 2013-02-17 09:22:22 PST
Created attachment 714928 [details] [diff] [review]
Improved patch
Comment 6 Ian Neal 2013-02-17 14:59:27 PST
Comment on attachment 714928 [details] [diff] [review]
Improved patch


>+      <button label="&privatebrowsingpage.learnmore.label;"
>+              accesskey="&privatebrowsingpage.learnmore.accesskey;"
>+              disabled="true"
>+              onclick="openHelp('private-browsing', 'chrome://communicator/locale/help/suitehelp.rdf');"/>
So even though this is disabled, clicking on it still works!

>+++ b/suite/locales/en-US/chrome/common/aboutPrivateBrowsing.dtd

>+<!ENTITY privatebrowsingpage.moreinfo     "While this computer won't have a record of your browsing history, your employer or Internet service provider might still be able to track the pages you visit.">
Shouldn't that be "Internet Service Provider"?

>+<!ENTITY privatebrowsingpage.info         "To start &privatebrowsingpage.title;, you can also select File ― New ― Private Window.">
Not sure what the character between File, New and Private Window should be, shows as a long "-" for me.

r=me with those fixed.
Comment 7 neil@parkwaycc.co.uk 2013-02-17 15:15:54 PST
(In reply to Ian Neal from comment #6)
> (From update of attachment 714928 [details] [diff] [review])
> >+      <button label="&privatebrowsingpage.learnmore.label;"
> >+              accesskey="&privatebrowsingpage.learnmore.accesskey;"
> >+              disabled="true"
> >+              onclick="openHelp('private-browsing', 'chrome://communicator/locale/help/suitehelp.rdf');"/>
> So even though this is disabled, clicking on it still works!
My bad, all those onclick= should be oncommand= of course. D'oh!

> >+<!ENTITY privatebrowsingpage.moreinfo     "While this computer won't have a record of your browsing history, your employer or Internet service provider might still be able to track the pages you visit.">
> Shouldn't that be "Internet Service Provider"?
I capitalised the I because it's the Internet (as opposed to any other internet that may exist; a bit like the way the Moon is special to us, but other planets have their own moons). Although ISP stands for Internet service provider, I don't think you need to capitalise them.

> >+<!ENTITY privatebrowsingpage.info         "To start &privatebrowsingpage.title;, you can also select File ― New ― Private Window.">
> Not sure what the character between File, New and Private Window should be,
> shows as a long "-" for me.
Yes, it should be an em dash. (I wanted to be posh and not just use a minus sign.) Those funny characters are what you see if you open it in an editor that's expecting ISO-8859-1 instead of UTF-8.
Comment 8 Ian Neal 2013-02-17 15:50:39 PST
Couple of other things through testing:
1/ The access key (no modifiers) for the buttons in the about page, only seem to work when the button is focused - is that expected?
2/ Pressing the access key when the button has focus also causes the quick link toolbar to appear.
Comment 9 neil@parkwaycc.co.uk 2013-02-17 16:28:11 PST
(In reply to Ian Neal from comment #8)
> Couple of other things through testing:
> 1/ The access key (no modifiers) for the buttons in the about page, only
> seem to work when the button is focused - is that expected?
With default preferences you need to press Shift to activate in-content access keys.

> 2/ Pressing the access key when the button has focus also causes the quick
> link toolbar to appear.
You mean fast find? I think we have a bug on disabling fast find on about: pages.
Comment 10 Philip Chee 2013-02-18 10:35:12 PST
Comment on attachment 714928 [details] [diff] [review]
Improved patch

r=me.

Some suggestions for improvement which could be done in a follow-up bug:

> +      <vbox id="normal" align="start">
> +        <description>&privatebrowsingpage.normal;</description>

I prefer the way Firefox organises their page. With "You are not currently in a private window" or "Nightly won't remember any history for this window." just under the mail title block.

Needs more CSS. Suggestions:
# Like our about:certerror and about:blocked we should have a background image in the top left of the container. Firefox uses chrome://global/skin/icons/question-48.png
# Set a favicon for this page so that it shows up in the tab and locationbar.
# The contents looked rather cramped vertically. Needs more vertical space around both buttons.

> +<!ENTITY privatebrowsingpage.info         "To start &privatebrowsingpage.title;, you can also select File ― New ― Private Window.">
...
> Not sure what the character between File, New and Private Window should be,
> shows as a long "-" for me.
I think we should use some sort of right arrow or caret. I'm sure there is a UTF-8 code point for something like this.

In Firefox the title bar shows "Would you like to start Private Browsing? - Nightly" when in normal mode. Ours just says "private:browsing"
Comment 11 Philip Chee 2013-02-18 11:13:28 PST
>> Not sure what the character between File, New and Private Window should be, shows as
>> a long "-" for me.
> Yes, it should be an em dash. (I wanted to be posh and not just use a minus sign.)
I think since we areusing UTF-8 we could use some sort of right arros or caret.
Comment 12 neil@parkwaycc.co.uk 2013-02-18 14:41:23 PST
Well Firefox just uses a > sign which seems wrong to me.
Comment 13 neil@parkwaycc.co.uk 2013-02-18 16:30:06 PST
Pushed comm-central changeset d1fca17b4323.
Comment 14 Philip Chee 2013-02-18 20:23:23 PST
> Well Firefox just uses a > sign which seems wrong to me.
Pick something from here ;)
http://www.fileformat.info/info/unicode/block/arrows/utf8test.htm
Comment 15 neil@parkwaycc.co.uk 2013-02-19 01:34:13 PST
Only one of those arrows works in Windows XP for me, it's the same one that Bugzilla inline history uses and looks like File → New → Private Window. Even in a decent font it doesn't look as good as an em dash IMHO.
Comment 16 Théo Chevalier [:tchevalier] 2013-02-25 13:31:03 PST
I think there is a typo in privatebrowsingpage.description , " cookies or browser, search download or web form history."  Did you mean "cookies or browser history"?
Comment 17 neil@parkwaycc.co.uk 2013-02-25 14:24:45 PST
(In reply to Théo Chevalier from comment #16)
> I think there is a typo in privatebrowsingpage.description , " cookies or
> browser, search download or web form history."  Did you mean "cookies or
> browser history"?
You're right, there's a comma missing between search and download.
Comment 18 Philip Chee 2013-03-31 20:30:30 PDT
> You're right, there's a comma missing between search and download.
http://hg.mozilla.org/comm-central/rev/2ac76ca7fbda
(Followup to fix typo r=IanN)

Note You need to log in before you can comment on or make changes to this bug.